Subject: bug#44580: DejaGnu runtest not found of site.exp exists

From: Robert Menteer <[email-masked]>
Date: Thu, 12 Nov 2020 08:35:01 -0500

Jacob,

Thank you for the quick response. You did a beautiful analysis of what failed, not only determining what was wrong with the site.ext file but the input that caused another build tool to generate an incorrect file. I laughed out when I read your ending: this is not a bug but we’re fixing it anyway.

> On Nov 11, 2020, at 9:56 PM, Jacob Bachmeyer <[email-masked]> wrote:
> 
> Robert Menteer via Bug-dejagnu via wrote:
>> What I found by running runtest by hand is it fails if the file site.ext exists.
> 
> Your site.exp file is invalid; this is a bug in Automake rather than a bug in DejaGnu.  The version of Automake that produced the Makefile.in that you are using mishandles filenames containing spaces.  Tcl requires a value containing spaces to be properly quoted in a "set" command, and Automake is producing a site.exp that does not contain those quotes for the objdir variable.
> 
> An immediate workaround is to run `sed -e '/^set [^ ]*dir [^"]/{s/dir /&"/;s/$/"/}' -i site.exp` (tested with GNU sed) to fix your site.exp file, or to avoid building in a directory where the absolute filename contains spaces.
> 
> Additionally, as of commit b53b22c29880f785ae5e9e1c72925d2583a4c76d (after 1.6.2 was released) DejaGnu no longer loads site.exp when invoked with the --version option.
> 
> Please try regenerating your Makefile.in with a newer Automake or report this as a bug in Automake if you are already using the latest version.
> 
> I am closing this report as NOTOURBUG.
> 
> 
> -- Jacob

Thanks again
Bob